core::INotify Class Reference

`#include <INotify.h>`

Inheritance diagram for core::INotify:
[legend]
Collaboration diagram for core::INotify:
[legend]

## Public Member Functions

| INotify (EPoll &ePoll)
| ~INotify ()
int | addWatch (std::string watch)
void | removeWatch (int wd)
void | onDataReceived (char *buffer, int len) override
virtual void | inAccess (std::string name)
virtual void | inAttrib (std::string name)
virtual void | inCloseWrite (std::string name)
virtual void | inCloseNoWrite (std::string name)
virtual void | inCreate (std::string name)
virtual void | inDelete (std::string name)
virtual void | inDeleteSelf (std::string name)
virtual void | inModify (std::string name)
virtual void | inMoveSelf (std::string name)
virtual void | inMovedFrom (std::string name)
virtual void | inMovedTo (std::string name)
virtual void | inOpen (std::string name)

## Constructor & Destructor Documentation

## INotify()

core::INotify::INotify | ( | EPoll & | ePoll | ) |

## ~INotify()

core::INotify::~INotify | ( |  | ) |

## Member Function Documentation

## addWatch()

int core::INotify::addWatch | ( | std::string | watch | ) |

## inAccess()

virtual void core::INotify::inAccess | ( | std::string | name | ) |

inlinevirtual

## inAttrib()

virtual void core::INotify::inAttrib | ( | std::string | name | ) |

inlinevirtual

## inCloseNoWrite()

virtual void core::INotify::inCloseNoWrite | ( | std::string | name | ) |

inlinevirtual

## inCloseWrite()

virtual void core::INotify::inCloseWrite | ( | std::string | name | ) |

inlinevirtual

## inCreate()

virtual void core::INotify::inCreate | ( | std::string | name | ) |

inlinevirtual

## inDelete()

virtual void core::INotify::inDelete | ( | std::string | name | ) |

inlinevirtual

## inDeleteSelf()

virtual void core::INotify::inDeleteSelf | ( | std::string | name | ) |

inlinevirtual

## inModify()

virtual void core::INotify::inModify | ( | std::string | name | ) |

inlinevirtual

## inMovedFrom()

virtual void core::INotify::inMovedFrom | ( | std::string | name | ) |

inlinevirtual

## inMovedTo()

virtual void core::INotify::inMovedTo | ( | std::string | name | ) |

inlinevirtual

## inMoveSelf()

virtual void core::INotify::inMoveSelf | ( | std::string | name | ) |

inlinevirtual

## inOpen()

virtual void core::INotify::inOpen | ( | std::string | name | ) |

inlinevirtual

## onDataReceived()

void core::INotify::onDataReceived | ( | char * | buffer,
|  | int | len
| ) |  |

overridevirtual

Reimplemented from core::Socket.

## removeWatch()

void core::INotify::removeWatch | ( | int | wd | ) |

The documentation for this class was generated from the following files:

- INotify.h
- INotify.cpp